/*
 * $Id$
 */

package npanday.model.compiler.plugins;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class Platform implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field operatingSystem
     */
    private String operatingSystem;

    /**
     * Field architecture
     */
    private String architecture;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get The architecture that the compiler is capable of running
     * on (Currently
     *             unused).
     */
    public String getArchitecture()
    {
        return this.architecture;
    } //-- String getArchitecture() 

    /**
     * Get The operating system that the compiler is capable of
     * running on.
     */
    public String getOperatingSystem()
    {
        return this.operatingSystem;
    } //-- String getOperatingSystem() 

    /**
     * Set The architecture that the compiler is capable of running
     * on (Currently
     *             unused).
     * 
     * @param architecture
     */
    public void setArchitecture(String architecture)
    {
        this.architecture = architecture;
    } //-- void setArchitecture(String) 

    /**
     * Set The operating system that the compiler is capable of
     * running on.
     * 
     * @param operatingSystem
     */
    public void setOperatingSystem(String operatingSystem)
    {
        this.operatingSystem = operatingSystem;
    } //-- void setOperatingSystem(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }}
