/*
 * $Id$
 */

package npanday.model.compiler.plugins;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class CompilerPluginsModel implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field compilerPlugins
     */
    private java.util.List compilerPlugins;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addCompilerPlugin
     * 
     * @param compilerPlugin
     */
    public void addCompilerPlugin(CompilerPlugin compilerPlugin)
    {
        if ( !(compilerPlugin instanceof CompilerPlugin) )
        {
            throw new ClassCastException( "CompilerPluginsModel.addCompilerPlugins(compilerPlugin) parameter must be instanceof " + CompilerPlugin.class.getName() );
        }
        getCompilerPlugins().add( compilerPlugin );
    } //-- void addCompilerPlugin(CompilerPlugin) 

    /**
     * Method getCompilerPlugins
     */
    public java.util.List getCompilerPlugins()
    {
        if ( this.compilerPlugins == null )
        {
            this.compilerPlugins = new java.util.ArrayList();
        }
        
        return this.compilerPlugins;
    } //-- java.util.List getCompilerPlugins() 

    /**
     * Method removeCompilerPlugin
     * 
     * @param compilerPlugin
     */
    public void removeCompilerPlugin(CompilerPlugin compilerPlugin)
    {
        if ( !(compilerPlugin instanceof CompilerPlugin) )
        {
            throw new ClassCastException( "CompilerPluginsModel.removeCompilerPlugins(compilerPlugin) parameter must be instanceof " + CompilerPlugin.class.getName() );
        }
        getCompilerPlugins().remove( compilerPlugin );
    } //-- void removeCompilerPlugin(CompilerPlugin) 

    /**
     * Set Plugin configurations.
     * 
     * @param compilerPlugins
     */
    public void setCompilerPlugins(java.util.List compilerPlugins)
    {
        this.compilerPlugins = compilerPlugins;
    } //-- void setCompilerPlugins(java.util.List) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }}
